/******************************************************************************
** Copyright (C) 2007  Pablo Garcia
** 
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.

** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.

** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
******************************************************************************/

/**\file *********************************************************************
 File Name	:	TIrtdx.h
 Project	:  	TIMotorLIB
 Originator	:  	Pablo Garcia (pgarcia@isa.uniovi.es)
 Description: 	Real Time data exchange
 TI Doc:		spra895, sprufc7, spra386, http://processors.wiki.ti.com/index.php/Real_Time_Data_eXchange_%28RTDX%29
******************************************************************************/
#ifndef TIRTDX_H
#define TIRTDX_H

#include <rtdx.h> // real time data exchange through USB

extern RTDX_input_channel ichan;
extern RTDX_output_channel ochan;

extern void EnableRTDXInput(RTDX_input_channel *ichan);
extern void EnableRTDXOutput(RTDX_output_channel *ochan);

#endif

//-----------------------------------------------------------------------------
// End Of File
//-----------------------------------------------------------------------------
