/******************************************************************************
** Copyright (C) 2011  Pablo Garcia
** 
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.

** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.

** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
******************************************************************************/

/**\file**********************************************************************
 File Name	:	flash.h
 Project	:  	TIMotorLIB
 
 TI Doc:		
			
			<a href="http://www-s.ti.com/sc/techlit/SPRA958"> SPRA958</a>
			(Running an Application from Internal Flash Memory on the TMS320F28xx DSP)
			
			<a href="http://www-s.ti.com/sc/techlit/spraau8"> SPRAAU8</a> 
			(Copying Compiler Sections from Flash to RAM on the TMS320F28xxx DSCs) 
 \author  		Pablo Garcia (pgarcia@isa.uniovi.es)
 \brief 		Flash configuration routines
 \date 			2011
******************************************************************************/

//-----------------------------------------------------------------------------
//	Define
//-----------------------------------------------------------------------------

#ifndef FLASH_H
#define FLASH_H

#ifdef __cplusplus
extern "C" {
#endif

//-----------------------------------------------------------------------------
//	Includes
//-----------------------------------------------------------------------------

#include "cpu.h"

/*#define EXECUTE_FROM_RAM(function) {\
	#pragma CODE_SECTION(function, "ramfuncs")}
*/

// These are defined by the linker (see F28335.cmd)
extern Uint16 RamfuncsLoadStart;
extern Uint16 RamfuncsLoadEnd;
extern Uint16 RamfuncsRunStart;


void InitFlash(void);
// This function is implemented in DSP28XXX_MemCopy.c
extern void MemCopy(Uint16 *SourceAddr, Uint16* SourceEndAddr, Uint16* DestAddr);

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif

//-----------------------------------------------------------------------------
// End Of File
//-----------------------------------------------------------------------------


